/*
   any.c
   San Skulrattanakulchai
   11/11/99
 */
#include "digraph.h"
#include "gen.h"
#include "random.h"

/*
   Generate a random digraph of nv vertices.
   Assume each labelled digraph having nv vertices is equally probable.
 */

DigraphPtr any(int nv)
{
  DigraphPtr Gp;
  Vertex v, w;

  makeEmptyDigraph(nv, Gp);

  for (v = 1; v <= nv; v++)
    for (w = 1; w <= nv; w++)
      if (v != w && coinFlip())
        addEdge(v, w, Gp);

  return Gp;
}
