/*
   digraph.c
   San Skulrattanakulchai
   11/11/99
 */
#include <stdlib.h>  /* for free() */
#include "digraph.h"
#include "util.h"

void deleteAdjList(NodePtr np)
{
  if (np) {
    deleteAdjList(np->next);
    free(np);
  }
}

void deleteDigraph(DigraphPtr Gp)
{
  int nv = Gp->n;
  Vertex v;

  for (v = 1; v <= nv; v++) {
    deleteAdjList(Gp->adj[v]);
    deleteAdjList(Gp->radj[v]);
  }

  free(Gp->radj);
  free(Gp->adj);
  free(Gp);
}
