/*
   gen.h
   San Skulrattanakulchai
   11/11/99
 */
#ifndef GEN_H
#define GEN_H

#include "digraph.h"
#include "util.h"

DigraphPtr grid2d(int r, int s, bool wraparound, bool oriented, bool pmtName);
DigraphPtr grid3d(int r, int s, int t, bool wraparound, bool oriented, bool pmtName);
DigraphPtr acyclic(int nv);
DigraphPtr any(int nv);
DigraphPtr dense(int nv, int oneOverp, bool expected);
DigraphPtr hcube(int d, int nv, bool oriented);
DigraphPtr thard1(int nv);
DigraphPtr thard2(int nv);

#endif
