/*
   test_acyclic.c
   San Skulrattanakulchai
   11/11/99
 */
#include <stdlib.h>       /* for NULL, EXIT_SUCCESS */
#include <stdio.h>        /* for setbuf(), stdout, printf() */

#include "digraph.h"
#include "gen.h"
#include "tester.h"

int main()
{
  int iter, nv;
  DigraphPtr Gp;

  setbuf(stdout, NULL);

  nv = 1300;
  printf("Random Acyclic Digraphs (#nodes = %d)\n", nv);
  printHead();
  for (iter = 10; iter; iter--) {
    Gp = acyclic(nv);
    testDigraphs(Gp);
    deleteDigraph(Gp);
  }

  exit(EXIT_SUCCESS);
}
