/*
   test_hcube.c
   San Skulrattanakulchai
   11/11/99
 */
#include <stdlib.h>       /* for NULL, EXIT_SUCCESS */
#include <stdio.h>        /* for setbuf(), stdout, printf(), putchar() */

#include "digraph.h"
#include "gen.h"
#include "tester.h"
#include "util.h"

int main()
{
  int d, nv, iter;
  DigraphPtr Gp;
  bool oriented;

  setbuf(stdout, NULL);

  for (oriented = false; oriented <= true; oriented++) {
    printf("Randomly Directed Hypercubes (oriented=%d)\n", oriented);
    printHead(); d = 10; nv = 1024;
    for (iter = 6; iter; iter--) {
      Gp = hcube(d, nv, oriented);
      testDigraphs(Gp);
      deleteDigraph(Gp);
      d++; nv *= 2;
    }
    putchar('\n');
  }

  exit(EXIT_SUCCESS);
}
