/*
   test_thard.c
   San Skulrattanakulchai
   11/11/99
 */
#include <stdlib.h>       /* for NULL, EXIT_SUCCESS */
#include <stdio.h>        /* for setbuf, stdout, printf() */

#include "digraph.h"
#include "gen.h"
#include "tester.h"

int main()
{
  int nv;
  DigraphPtr Gp;

  setbuf(stdout, NULL);

  printf("Hard Digraphs for LOWLINK (Family 1)\n");
  printHead();
  for (nv = 1200; nv < 1300; nv += 10) {
    Gp = thard1(nv);
    testDigraphs(Gp);
    deleteDigraph(Gp);
  }
  putchar('\n');

  printf("Hard Digraphs for LOWLINK (Family 2)\n");
  printHead();
  for (nv = 800; nv <= 920; nv += 10) {
    Gp = thard2(nv);
    testDigraphs(Gp);
    deleteDigraph(Gp);
  }

  exit(EXIT_SUCCESS);
}
